Server prerequisites - Linux

The following prerequisites must be met to install ESMC Server on Linux:

You must have a valid license.

A database server must be installed and configured with a root account. A user account does not have to be created prior to the installation, the installer can create the account. MS SQL Server on Linux is not supported. However, you can connect ESMC Server on Linux to MS SQL Server on Windows.

details_hoverNOTE

ESMC Server stores large data blobs in the database, therefore it is necessary to configure MySQL to accept large packet size for ESMC to run properly.

ODBC Driver - ODBC Driver is used to establish connection with the database server (MySQL).

Configure the server installation file set as an executable. To do so, use the following terminal command:

chmod +x server-linux-x86_64.sh

The minimum supported version of OpenSSL is openssl-1.0.1e-30. openssl-1.1.* and later is not supported. There can be more versions of OpenSSL installed on one system in the same time. At least one supported version must be present on you system.

oYou can use the command openssl version to show current default version.

oYou can list all versions of OpenSSL present on your system. See the file names endings listed using the command sudo find / -iname *libcrypto.so*

oFedora Linux users should use compat-openssl10 package.

Xvfb - Required for proper report printing (Generate Report) on Linux Server systems without a graphical interface.

Cifs-utils - Required for proper Agent deployment to a Windows OS.

Qt4 WebKit libraries - Used for printing reports to PDF and PS format (must be version 4.8, not 5). All other Qt4 dependencies will be installed automatically. In the case of CentOS, there may be no package in the official repositories. You can install it from a third-party repository (for example EPEL repositories) or compile it yourself on a target machine. For the OpenSUSE LEAP 15 and later use the manual download.

Kinit + klist - Used for Kerberos authentication during the AD synchronization task and login with a domain user. Also a proper Kerberos configuration is required (/etc/krb5.conf).

Wbinfo + ntlm auth - Used for authentication with the domain accounts + NTLM authentication with SMTP server (sending emails).

Ldapsearch - Used in AD synchronization task.

Snmptrap - Used to send SNMP traps. Optional if this functionality will not be used. SNMP also requires configuration.

SELinux devel package - Used during product installation to build SELinux policy modules. This is only required on systems with SELinux enabled (CentOS, Fedora, RHEL). SELinux may cause problems with other applications. For ESMC Server it is not necessary.

The table below contains the appropriate terminal commands for each package described above for various Linux distributions:

Debian and Ubuntu distributions

CentOS, Red Hat and Fedora distributions

OpenSUSE distribution

ODBC Driver

See the chapter ODBC installation and configuration.

xvfb

apt-get install xvfb

yum install xorg-x11-server-Xvfb

zypper install xorg-x11-server-extra

cifs-utils

apt-get install cifs-utils

yum install cifs-utils

zypper install cifs-utils

Qt4 WebKit libraries

apt-get install libqtwebkit4

See our Knowledgebase article.

zypper install libqtwebkit4

kinit+klist - optional (it is necessary for Active Directory service)

apt-get install krb5-user

yum install krb5-workstation

zypper install krb5

wbinfo + ntlm_auth

apt-get install winbind

yum install samba-winbind-clients

zypper install samba-winbind

ldapsearch

apt-get install ldap-utils
libsasl2-modules-gssapi-mit

yum install openldap-clients
cyrus-sasl-gssapi cyrus-sasl-ldap

zypper install openldap2-client
cyrus-sasl-gssapi
cyrus-sasl-ldap-auxprop

snmptrap

apt-get install snmp

yum install net-snmp-utils net-snmp

zypper install net-snmp

SELinux devel package (optional; SELinux may cause problems with other applications. For ESMC Server it is not necessary.)

apt-get install selinux-policy-dev

yum install policycoreutils-devel

zypper install selinux-policy-devel

samba

apt-get install samba

yum install samba
samba-winbind-clients

zypper install samba samba-client